# Constant Field Values

## org.apache.*

org.apache.jute.BinaryInputArchive
Modifier and Type
Constant Field
Value
`public static final String`
`UNREASONBLE_LENGTH`
`"Unreasonable length = "`

org.apache.jute.compiler.generated.RccConstants
Modifier and Type
Constant Field
Value
`public static final int`
`BOOLEAN_TKN`
`15`
`public static final int`
`BUFFER_TKN`
`21`
`public static final int`
`BYTE_TKN`
`14`
`public static final int`
`COMMA_TKN`
`29`
`public static final int`
`CSTRING_TKN`
`31`
`public static final int`
`DEFAULT`
`0`
`public static final int`
`DOT_TKN`
`30`
`public static final int`
`DOUBLE_TKN`
`19`
`public static final int`
`EOF`
`0`
`public static final int`
`FLOAT_TKN`
`18`
`public static final int`
`GT_TKN`
`27`
`public static final int`
`IDENT_TKN`
`32`
`public static final int`
`INCLUDE_TKN`
`13`
`public static final int`
`INT_TKN`
`16`
`public static final int`
`LBRACE_TKN`
`24`
`public static final int`
`LONG_TKN`
`17`
`public static final int`
`LT_TKN`
`26`
`public static final int`
`MAP_TKN`
`23`
`public static final int`
`MODULE_TKN`
`11`
`public static final int`
`RBRACE_TKN`
`25`
`public static final int`
`RECORD_TKN`
`12`
`public static final int`
`SEMICOLON_TKN`
`28`
`public static final int`
`USTRING_TKN`
`20`
`public static final int`
`VECTOR_TKN`
`22`
`public static final int`
`WithinMultiLineComment`
`2`
`public static final int`
`WithinOneLineComment`
`1`
org.apache.jute.compiler.generated.SimpleCharStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`staticFlag`
`false`
org.apache.jute.compiler.generated.TokenMgrError
Modifier and Type
Constant Field
Value
`public static final int`
`INVALID_LEXICAL_STATE`
`2`
`public static final int`
`LEXICAL_ERROR`
`0`
`public static final int`
`LOOP_DETECTED`
`3`
`public static final int`
`STATIC_LEXER_ERROR`
`1`

org.apache.zookeeper.ClientCnxn
Modifier and Type
Constant Field
Value
`public static final int`
`AUTHPACKET_XID`
`-4`
`public static final int`
`NOTIFICATION_XID`
`-1`
`public static final int`
`PING_XID`
`-2`
`public static final int`
`SET_WATCHES_XID`
`-8`
org.apache.zookeeper.Environment
Modifier and Type
Constant Field
Value
`public static final String`
`JAAS_CONF_KEY`
`"java.security.auth.login.config"`
org.apache.zookeeper.KeeperException.CodeDeprecated
Modifier and Type
Constant Field
Value
`public static final int`
`APIError`
`-100`
`public static final int`
`AuthFailed`
`-115`
`public static final int`
`BadArguments`
`-8`
`public static final int`
`BadVersion`
`-103`
`public static final int`
`ConnectionLoss`
`-4`
`public static final int`
`DataInconsistency`
`-3`
`public static final int`
`EphemeralOnLocalSession`
`-120`
`public static final int`
`InvalidACL`
`-114`
`public static final int`
`InvalidCallback`
`-113`
`public static final int`
`MarshallingError`
`-5`
`public static final int`
`NewConfigNoQuorum`
`-13`
`public static final int`
`NoAuth`
`-102`
`public static final int`
`NoChildrenForEphemerals`
`-108`
`public static final int`
`NodeExists`
`-110`
`public static final int`
`NoNode`
`-101`
`public static final int`
`NotEmpty`
`-111`
`public static final int`
`Ok`
`0`
`public static final int`
`OperationTimeout`
`-7`
`public static final int`
`ReconfigInProgress`
`-14`
`public static final int`
`RuntimeInconsistency`
`-2`
`public static final int`
`SessionExpired`
`-112`
`public static final int`
`SystemError`
`-1`
`public static final int`
`Unimplemented`
`-6`
`public static final int`
`UnknownSession`
`-12`
org.apache.zookeeper.Login
Modifier and Type
Constant Field
Value
`public static final String`
`MIN_TIME_BEFORE_RELOGIN_CONFIG_KEY`
`"zookeeper.kerberos.minReLoginTimeMs"`
org.apache.zookeeper.Quotas
Modifier and Type
Constant Field
Value
`public static final String`
`limitNode`
`"zookeeper_limits"`
`public static final String`
`procZookeeper`
`"/zookeeper"`
`public static final String`
`quotaZookeeper`
`"/zookeeper/quota"`
`public static final String`
`statNode`
`"zookeeper_stats"`
org.apache.zookeeper.Shell
Modifier and Type
Constant Field
Value
`public static final String`
`SET_GROUP_COMMAND`
`"chgrp"`
`public static final String`
`SET_OWNER_COMMAND`
`"chown"`
`public static final String`
`SET_PERMISSION_COMMAND`
`"chmod"`
`public static final String`
`ULIMIT_COMMAND`
`"ulimit"`
`public static final String`
`USER_NAME_COMMAND`
`"whoami"`
org.apache.zookeeper.WatchedEvent
Modifier and Type
Constant Field
Value
`public static final long`
`NO_ZXID`
`-1L`
org.apache.zookeeper.ZooDefs
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_NODE`
`"/zookeeper/config"`
`public static final String`
`ZOOKEEPER_NODE_SUBTREE`
`"/zookeeper/"`
org.apache.zookeeper.ZooDefs.AddWatchModes
Modifier and Type
Constant Field
Value
`public static final int`
`persistent`
`0`
`public static final int`
`persistentRecursive`
`1`
org.apache.zookeeper.ZooDefs.OpCode
Modifier and Type
Constant Field
Value
`public static final int`
`addWatch`
`106`
`public static final int`
`auth`
`100`
`public static final int`
`check`
`13`
`public static final int`
`checkWatches`
`17`
`public static final int`
`closeSession`
`-11`
`public static final int`
`create`
`1`
`public static final int`
`create2`
`15`
`public static final int`
`createContainer`
`19`
`public static final int`
`createSession`
`-10`
`public static final int`
`createTTL`
`21`
`public static final int`
`delete`
`2`
`public static final int`
`deleteContainer`
`20`
`public static final int`
`error`
`-1`
`public static final int`
`exists`
`3`
`public static final int`
`getACL`
`6`
`public static final int`
`getAllChildrenNumber`
`104`
`public static final int`
`getChildren`
`8`
`public static final int`
`getChildren2`
`12`
`public static final int`
`getData`
`4`
`public static final int`
`getEphemerals`
`103`
`public static final int`
`multi`
`14`
`public static final int`
`multiRead`
`22`
`public static final int`
`notification`
`0`
`public static final int`
`ping`
`11`
`public static final int`
`reconfig`
`16`
`public static final int`
`removeWatches`
`18`
`public static final int`
`sasl`
`102`
`public static final int`
`setACL`
`7`
`public static final int`
`setData`
`5`
`public static final int`
`setWatches`
`101`
`public static final int`
`setWatches2`
`105`
`public static final int`
`sync`
`9`
`public static final int`
`whoAmI`
`107`
org.apache.zookeeper.ZooDefs.Perms
Modifier and Type
Constant Field
Value
`public static final int`
`ADMIN`
`16`
`public static final int`
`ALL`
`31`
`public static final int`
`CREATE`
`4`
`public static final int`
`DELETE`
`8`
`public static final int`
`READ`
`1`
`public static final int`
`WRITE`
`2`
org.apache.zookeeper.ZooKeeper
Modifier and Type
Constant Field
Value
`public static final String`
`SECURE_CLIENT`
`"zookeeper.client.secure"`
`public static final String`
`ZOOKEEPER_CLIENT_CNXN_SOCKET`
`"zookeeper.clientCnxnSocket"`

org.apache.zookeeper.audit.AuditConstants
Modifier and Type
Constant Field
Value
`public static final String`
`OP_CREATE`
`"create"`
`public static final String`
`OP_DEL_EZNODE_EXP`
`"ephemeralZNodeDeletionOnSessionCloseOrExpire"`
`public static final String`
`OP_DELETE`
`"delete"`
`public static final String`
`OP_MULTI_OP`
`"multiOperation"`
`public static final String`
`OP_RECONFIG`
`"reconfig"`
`public static final String`
`OP_SETACL`
`"setAcl"`
`public static final String`
`OP_SETDATA`
`"setData"`

org.apache.zookeeper.cli.CliException
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_EXCEPTION_EXIT_CODE`
`1`

org.apache.zookeeper.client.ZKClientConfig
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENT_MAX_PACKET_LENGTH_DEFAULT`
`1048575`
`public static final String`
`DISABLE_AUTO_WATCH_RESET`
`"zookeeper.disableAutoWatchReset"`
`public static final String`
`ENABLE_CLIENT_SASL_DEFAULT`
`"true"`
`public static final String`
`ENABLE_CLIENT_SASL_KEY`
`"zookeeper.sasl.client"`
`public static final String`
`LOGIN_CONTEXT_NAME_KEY`
`"zookeeper.sasl.clientconfig"`
`public static final String`
`LOGIN_CONTEXT_NAME_KEY_DEFAULT`
`"Client"`
`public static final String`
`SECURE_CLIENT`
`"zookeeper.client.secure"`
`public static final String`
`ZK_SASL_CLIENT_CANONICALIZE_HOSTNAME`
`"zookeeper.sasl.client.canonicalize.hostname"`
`public static final String`
`ZK_SASL_CLIENT_CANONICALIZE_HOSTNAME_DEFAULT`
`"true"`
`public static final String`
`ZK_SASL_CLIENT_USERNAME`
`"zookeeper.sasl.client.username"`
`public static final String`
`ZK_SASL_CLIENT_USERNAME_DEFAULT`
`"zookeeper"`
`public static final String`
`ZOOKEEPER_CLIENT_CNXN_SOCKET`
`"zookeeper.clientCnxnSocket"`
`public static final String`
`ZOOKEEPER_REQUEST_TIMEOUT`
`"zookeeper.request.timeout"`
`public static final long`
`ZOOKEEPER_REQUEST_TIMEOUT_DEFAULT`
`0L`
`public static final String`
`ZOOKEEPER_SERVER_PRINCIPAL`
`"zookeeper.server.principal"`
`public static final String`
`ZOOKEEPER_SERVER_REALM`
`"zookeeper.server.realm"`
org.apache.zookeeper.client.ZooKeeperSaslClient
Modifier and Type
Constant Field
Value
`public static final String`
`ENABLE_CLIENT_SASL_DEFAULT`
`"true"`
`public static final String`
`ENABLE_CLIENT_SASL_KEY`
`"zookeeper.sasl.client"`
`public static final String`
`LOGIN_CONTEXT_NAME_KEY`
`"zookeeper.sasl.clientconfig"`

org.apache.zookeeper.common.AtomicFileOutputStream
Modifier and Type
Constant Field
Value
`public static final String`
`TMP_EXTENSION`
`".tmp"`
org.apache.zookeeper.common.NettyUtils
Modifier and Type
Constant Field
Value
`public static final String`
`THREAD_POOL_NAME_PREFIX`
`"zkNetty-"`
org.apache.zookeeper.common.X509Util
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_HANDSHAKE_DETECTION_TIMEOUT_MILLIS`
`5000`
`public static final String`
`FIPS_MODE_PROPERTY`
`"zookeeper.fips-mode"`
`public static final String`
`TLS_1_1`
`"TLSv1.1"`
`public static final String`
`TLS_1_2`
`"TLSv1.2"`
`public static final String`
`TLS_1_3`
`"TLSv1.3"`
org.apache.zookeeper.common.ZKConfig
Modifier and Type
Constant Field
Value
`public static final String`
`JGSS_NATIVE`
`"sun.security.jgss.native"`
`public static final String`
`JUTE_MAXBUFFER`
`"jute.maxbuffer"`
`public static final String`
`KINIT_COMMAND`
`"zookeeper.kinit"`

org.apache.zookeeper.inspector.gui.IconResource
Modifier and Type
Constant Field
Value
`public static final String`
`ICON_ADD`
`"actions/add"`
`public static final String`
`ICON_CHANGE_NODE_VIEWERS`
`"categories/applications-system"`
`public static final String`
`ICON_DOCUMENT_ADD`
`"actions/document-new"`
`public static final String`
`ICON_DOWN`
`"actions/down"`
`public static final String`
`ICON_HELP_ABOUT`
`"status/info"`
`public static final String`
`ICON_INFORMATION`
`"status/info"`
`public static final String`
`ICON_REFRESH`
`"actions/view-refresh"`
`public static final String`
`ICON_REMOVE`
`"actions/remove"`
`public static final String`
`ICON_SAVE`
`"actions/document-save"`
`public static final String`
`ICON_START`
`"actions/media-playback-start"`
`public static final String`
`ICON_STOP`
`"actions/media-playback-stop"`
`public static final String`
`ICON_TRASH`
`"places/user-trash"`
`public static final String`
`ICON_TREE_CLOSE`
`"places/folder"`
`public static final String`
`ICON_TREE_LEAF`
`"mimetypes/text-x-generic"`
`public static final String`
`ICON_TREE_OPEN`
`"places/folder"`
`public static final String`
`ICON_UP`
`"actions/up"`

org.apache.zookeeper.inspector.manager.NodesCache
Modifier and Type
Constant Field
Value
`public static final int`
`CACHE_SIZE`
`40000`
`public static final int`
`ENTRY_EXPIRATION_TIME_MILLIS`
`10000`
org.apache.zookeeper.inspector.manager.ZooInspectorManagerImpl
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_DATA_KEY`
`"authData"`
`public static final String`
`AUTH_SCHEME_KEY`
`"authScheme"`
`public static final String`
`CONNECT_STRING`
`"hosts"`
`public static final String`
`DATA_ENCRYPTION_MANAGER`
`"encryptionManager"`
`public static final String`
`SESSION_TIMEOUT`
`"timeout"`

org.apache.zookeeper.jmx.MBeanRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`DOMAIN`
`"org.apache.ZooKeeperService"`

org.apache.zookeeper.server.AuthenticationHelper
Modifier and Type
Constant Field
Value
`public static final String`
`ENFORCE_AUTH_ENABLED`
`"zookeeper.enforce.auth.enabled"`
`public static final String`
`ENFORCE_AUTH_SCHEMES`
`"zookeeper.enforce.auth.schemes"`
`public static final String`
`SASL_AUTH_SCHEME`
`"sasl"`
`public static final String`
`SESSION_REQUIRE_CLIENT_SASL_AUTH`
`"zookeeper.sessionRequireClientSASLAuth"`
org.apache.zookeeper.server.BlueThrottle
Modifier and Type
Constant Field
Value
`public static final String`
`CONNECTION_THROTTLE_DECREASE_RATIO`
`"zookeeper.connection_throttle_decrease_ratio"`
`public static final String`
`CONNECTION_THROTTLE_DROP_DECREASE`
`"zookeeper.connection_throttle_drop_decrease"`
`public static final String`
`CONNECTION_THROTTLE_DROP_INCREASE`
`"zookeeper.connection_throttle_drop_increase"`
`public static final String`
`CONNECTION_THROTTLE_FILL_COUNT`
`"zookeeper.connection_throttle_fill_count"`
`public static final String`
`CONNECTION_THROTTLE_FILL_TIME`
`"zookeeper.connection_throttle_fill_time"`
`public static final String`
`CONNECTION_THROTTLE_FREEZE_TIME`
`"zookeeper.connection_throttle_freeze_time"`
`public static final String`
`CONNECTION_THROTTLE_TOKENS`
`"zookeeper.connection_throttle_tokens"`
`public static final String`
`GLOBAL_SESSION_WEIGHT`
`"zookeeper.connection_throttle_global_session_weight"`
`public static final String`
`LOCAL_SESSION_WEIGHT`
`"zookeeper.connection_throttle_local_session_weight"`
`public static final String`
`RENEW_SESSION_WEIGHT`
`"zookeeper.connection_throttle_renew_session_weight"`
`public static final String`
`WEIGHED_CONNECTION_THROTTLE`
`"zookeeper.connection_throttle_weight_enabled"`
org.apache.zookeeper.server.DataTree
Modifier and Type
Constant Field
Value
`public static final int`
`DIGEST_LOG_INTERVAL`
`128`
`public static final int`
`DIGEST_LOG_LIMIT`
`1024`
`public static final int`
`STAT_OVERHEAD_BYTES`
`68`
org.apache.zookeeper.server.EphemeralType
Modifier and Type
Constant Field
Value
`public static final long`
`CONTAINER_EPHEMERAL_OWNER`
`-9223372036854775808L`
`public static final long`
`MAX_EXTENDED_SERVER_ID`
`254L`
org.apache.zookeeper.server.EphemeralTypeEmulate353
Modifier and Type
Constant Field
Value
`public static final long`
`CONTAINER_EPHEMERAL_OWNER`
`-9223372036854775808L`
`public static final long`
`MAX_TTL`
`1152921504606846975L`
`public static final long`
`TTL_MASK`
`-9223372036854775808L`
org.apache.zookeeper.server.NettyServerCnxnFactory
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_CERT_RELOAD_KEY`
`"zookeeper.client.certReload"`
`public static final String`
`EARLY_DROP_SECURE_CONNECTION_HANDSHAKES`
`"zookeeper.netty.server.earlyDropSecureConnectionHandshakes"`
`public static final String`
`NETTY_ADVANCED_FLOW_CONTROL`
`"zookeeper.netty.advancedFlowControl.enabled"`
`public static final String`
`OUTSTANDING_HANDSHAKE_LIMIT`
`"zookeeper.netty.server.outstandingHandshake.limit"`
`public static final String`
`PORT_UNIFICATION_KEY`
`"zookeeper.client.portUnification"`
org.apache.zookeeper.server.NIOServerCnxnFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ZOOKEEPER_NIO_DIRECT_BUFFER_BYTES`
`"zookeeper.nio.directBufferBytes"`
`public static final String`
`ZOOKEEPER_NIO_NUM_SELECTOR_THREADS`
`"zookeeper.nio.numSelectorThreads"`
`public static final String`
`ZOOKEEPER_NIO_NUM_WORKER_THREADS`
`"zookeeper.nio.numWorkerThreads"`
`public static final String`
`ZOOKEEPER_NIO_SESSIONLESS_CNXN_TIMEOUT`
`"zookeeper.nio.sessionlessCnxnTimeout"`
`public static final String`
`ZOOKEEPER_NIO_SHUTDOWN_TIMEOUT`
`"zookeeper.nio.shutdownTimeout"`
org.apache.zookeeper.server.ResponseCache
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_RESPONSE_CACHE_SIZE`
`400`
org.apache.zookeeper.server.ServerCnxnFactory
Modifier and Type
Constant Field
Value
`public static final int`
`ZOOKEEPER_MAX_CONNECTION_DEFAULT`
`0`
`public static final String`
`ZOOKEEPER_SERVER_CNXN_FACTORY`
`"zookeeper.serverCnxnFactory"`
org.apache.zookeeper.server.ZKDatabase
Modifier and Type
Constant Field
Value
`public static final String`
`COMMIT_LOG_COUNT`
`"zookeeper.commitLogCount"`
`public static final int`
`DEFAULT_COMMIT_LOG_COUNT`
`500`
`public static final double`
`DEFAULT_SNAPSHOT_SIZE_FACTOR`
`0.33`
`public static final String`
`SNAPSHOT_SIZE_FACTOR`
`"zookeeper.snapshotSizeFactor"`
org.apache.zookeeper.server.ZooKeeperSaslServer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LOGIN_CONTEXT_NAME`
`"Server"`
`public static final String`
`LOGIN_CONTEXT_NAME_KEY`
`"zookeeper.sasl.serverconfig"`
org.apache.zookeeper.server.ZooKeeperServer
Modifier and Type
Constant Field
Value
`public static final String`
`ALLOW_SASL_FAILED_CLIENTS`
`"zookeeper.allowSaslFailedClients"`
`public static final String`
`CLOSE_SESSION_TXN_ENABLED`
`"zookeeper.closeSessionTxn.enabled"`
`public static final int`
`DEFAULT_STARTING_BUFFER_SIZE`
`1024`
`public static final int`
`DEFAULT_THROTTLED_OP_WAIT_TIME`
`0`
`public static final int`
`DEFAULT_TICK_TIME`
`3000`
`public static final String`
`ENABLE_EAGER_ACL_CHECK`
`"zookeeper.enableEagerACLCheck"`
`public static final String`
`ENFORCE_QUOTA`
`"zookeeper.enforceQuota"`
`public static final String`
`GET_CHILDREN_RESPONSE_CACHE_SIZE`
`"zookeeper.maxGetChildrenResponseCacheSize"`
`public static final String`
`GET_DATA_RESPONSE_CACHE_SIZE`
`"zookeeper.maxResponseCacheSize"`
`public static final String`
`GLOBAL_OUTSTANDING_LIMIT`
`"zookeeper.globalOutstandingLimit"`
`public static final String`
`INT_BUFFER_STARTING_SIZE_BYTES`
`"zookeeper.intBufferStartingSizeBytes"`
`public static final String`
`SASL_SUPER_USER`
`"zookeeper.superUser"`
`public static final String`
`SKIP_ACL`
`"zookeeper.skipACL"`
`public static final String`
`SNAP_COUNT`
`"zookeeper.snapCount"`
`public static final String`
`ZOOKEEPER_DIGEST_ENABLED`
`"zookeeper.digest.enabled"`
`public static final String`
`ZOOKEEPER_SERIALIZE_LAST_PROCESSED_ZXID_ENABLED`
`"zookeeper.serializeLastProcessedZxid.enabled"`
org.apache.zookeeper.server.ZooKeeperServerConf
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_CLIENT_PORT`
`"client_port"`
`public static final String`
`KEY_CLIENT_PORT_LISTEN_BACKLOG`
`"client_port_listen_backlog"`
`public static final String`
`KEY_DATA_DIR`
`"data_dir"`
`public static final String`
`KEY_DATA_LOG_DIR`
`"data_log_dir"`
`public static final String`
`KEY_MAX_CLIENT_CNXNS`
`"max_client_cnxns"`
`public static final String`
`KEY_MAX_SESSION_TIMEOUT`
`"max_session_timeout"`
`public static final String`
`KEY_MIN_SESSION_TIMEOUT`
`"min_session_timeout"`
`public static final String`
`KEY_SERVER_ID`
`"server_id"`
`public static final String`
`KEY_TICK_TIME`
`"tick_time"`
org.apache.zookeeper.server.ZooTrace
Modifier and Type
Constant Field
Value
`public static final long`
`CLIENT_DATA_PACKET_TRACE_MASK`
`4L`
`public static final long`
`CLIENT_PING_TRACE_MASK`
`8L`
`public static final long`
`CLIENT_REQUEST_TRACE_MASK`
`2L`
`public static final long`
`EVENT_DELIVERY_TRACE_MASK`
`64L`
`public static final long`
`JMX_TRACE_MASK`
`512L`
`public static final long`
`SERVER_PACKET_TRACE_MASK`
`16L`
`public static final long`
`SERVER_PING_TRACE_MASK`
`128L`
`public static final long`
`SESSION_TRACE_MASK`
`32L`
`public static final long`
`WARNING_TRACE_MASK`
`256L`

org.apache.zookeeper.server.admin.CommandResponse
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_COMMAND`
`"command"`
`public static final String`
`KEY_ERROR`
`"error"`
org.apache.zookeeper.server.admin.JettyAdminServer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_COMMAND_URL`
`"/commands"`
`public static final int`
`DEFAULT_HTTP_VERSION`
`11`
`public static final int`
`DEFAULT_IDLE_TIMEOUT`
`30000`
`public static final int`
`DEFAULT_PORT`
`8080`
`public static final int`
`DEFAULT_STS_MAX_AGE`
`86400`
org.apache.zookeeper.server.admin.JsonOutputter
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_RESPONSE`
`"{\"error\": \"Exception writing command response to JSON\"}"`

org.apache.zookeeper.server.auth.DigestAuthenticationProvider
Modifier and Type
Constant Field
Value
`public static final String`
`DIGEST_ALGORITHM_KEY`
`"zookeeper.DigestAuthenticationProvider.digestAlg"`
org.apache.zookeeper.server.auth.EnsembleAuthenticationProvider
Modifier and Type
Constant Field
Value
`public static final String`
`ENSEMBLE_PROPERTY`
`"zookeeper.ensembleAuthName"`
org.apache.zookeeper.server.auth.IPAuthenticationProvider
Modifier and Type
Constant Field
Value
`public static final String`
`USE_X_FORWARDED_FOR_KEY`
`"zookeeper.IPAuthenticationProvider.usexforwardedfor"`
`public static final String`
`X_FORWARDED_FOR_HEADER_NAME`
`"X-Forwarded-For"`
org.apache.zookeeper.server.auth.ProviderRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHPROVIDER_PROPERTY_PREFIX`
`"zookeeper.authProvider."`
org.apache.zookeeper.server.auth.X509AuthenticationProvider
Modifier and Type
Constant Field
Value
`public static final String`
`X509_CERTIFICATE_ATTRIBUTE_NAME`
`"javax.servlet.request.X509Certificate"`

org.apache.zookeeper.server.command.AbstractFourLetterCommand
Modifier and Type
Constant Field
Value
`public static final String`
`ZK_NOT_SERVING`
`"This ZooKeeper instance is not currently serving requests"`
org.apache.zookeeper.server.command.FourLetterCommands
Modifier and Type
Constant Field
Value
`public static final int`
`telnetCloseCmd`
`-720899`

org.apache.zookeeper.server.controller.ControlCommand
Modifier and Type
Constant Field
Value
`public static final String`
`ENDPOINT`
`"command"`
`public static final String`
`ENDPOINT_PREFIX`
`"command/"`
org.apache.zookeeper.server.controller.ControllerServerConfig
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_PORT_KEY`
`"zookeeper.clientPortAddress"`
`public static final String`
`CONTROLLER_PORT_KEY`
`"zookeeper.controllerPort"`

org.apache.zookeeper.server.persistence.FileSnap
Modifier and Type
Constant Field
Value
`public static final String`
`SNAPSHOT_FILE_PREFIX`
`"snapshot"`
org.apache.zookeeper.server.persistence.FileTxnLog
Modifier and Type
Constant Field
Value
`public static final String`
`LOG_FILE_PREFIX`
`"log"`
`public static final int`
`VERSION`
`2`
org.apache.zookeeper.server.persistence.FileTxnSnapLog
Modifier and Type
Constant Field
Value
`public static final String`
`version`
`"version-"`
`public static final int`
`VERSION`
`2`
`public static final String`
`ZOOKEEPER_DATADIR_AUTOCREATE`
`"zookeeper.datadir.autocreate"`
`public static final String`
`ZOOKEEPER_DATADIR_AUTOCREATE_DEFAULT`
`"true"`
`public static final String`
`ZOOKEEPER_SNAPSHOT_TRUST_EMPTY`
`"zookeeper.snapshot.trust.empty"`
org.apache.zookeeper.server.persistence.SnapStream
Modifier and Type
Constant Field
Value
`public static final String`
`ZOOKEEPER_SHAPSHOT_STREAM_MODE`
`"zookeeper.snapshot.compression.method"`

org.apache.zookeeper.server.quorum.BufferStats
Modifier and Type
Constant Field
Value
`public static final int`
`INIT_VALUE`
`-1`
org.apache.zookeeper.server.quorum.CommitProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`ZOOKEEPER_COMMIT_PROC_MAX_COMMIT_BATCH_SIZE`
`"zookeeper.commitProcessor.maxCommitBatchSize"`
`public static final String`
`ZOOKEEPER_COMMIT_PROC_MAX_READ_BATCH_SIZE`
`"zookeeper.commitProcessor.maxReadBatchSize"`
`public static final String`
`ZOOKEEPER_COMMIT_PROC_NUM_WORKER_THREADS`
`"zookeeper.commitProcessor.numWorkerThreads"`
`public static final String`
`ZOOKEEPER_COMMIT_PROC_SHUTDOWN_TIMEOUT`
`"zookeeper.commitProcessor.shutdownTimeout"`
org.apache.zookeeper.server.quorum.FastLeaderElection
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_NOTIFICATION_INTERVAL`
`"zookeeper.fastleader.maxNotificationInterval"`
`public static final String`
`MIN_NOTIFICATION_INTERVAL`
`"zookeeper.fastleader.minNotificationInterval"`
org.apache.zookeeper.server.quorum.FastLeaderElection.Notification
Modifier and Type
Constant Field
Value
`public static final int`
`CURRENTVERSION`
`2`
org.apache.zookeeper.server.quorum.FollowerRequestProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`SKIP_LEARNER_REQUEST_TO_NEXT_PROCESSOR`
`"zookeeper.follower.skipLearnerRequestToNextProcessor"`
org.apache.zookeeper.server.quorum.Leader
Modifier and Type
Constant Field
Value
`public static final int`
`ACKEPOCH`
`18`
`public static final int`
`LEADERINFO`
`17`
`public static final String`
`MAX_TIME_TO_WAIT_FOR_EPOCH`
`"zookeeper.leader.maxTimeToWaitForEpoch"`
`public static final int`
`PROPOSAL`
`2`
org.apache.zookeeper.server.quorum.Learner
Modifier and Type
Constant Field
Value
`public static final String`
`LEARNER_ASYNC_SENDING`
`"zookeeper.learner.asyncSending"`
`public static final String`
`LEARNER_CLOSE_SOCKET_ASYNC`
`"zookeeper.learner.closeSocketAsync"`
org.apache.zookeeper.server.quorum.LearnerHandler
Modifier and Type
Constant Field
Value
`public static final String`
`FORCE_SNAP_SYNC`
`"zookeeper.forceSnapshotSync"`
`public static final String`
`LEADER_CLOSE_SOCKET_ASYNC`
`"zookeeper.leader.closeSocketAsync"`
org.apache.zookeeper.server.quorum.Observer
Modifier and Type
Constant Field
Value
`public static final String`
`OBSERVER_ELECTION_DELAY_MS`
`"zookeeper.observer.election.DelayMs"`
`public static final String`
`OBSERVER_RECONNECT_DELAY_MS`
`"zookeeper.observer.reconnectDelayMs"`
org.apache.zookeeper.server.quorum.ProposalRequestProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`FORWARD_LEARNER_REQUESTS_TO_COMMIT_PROCESSOR_DISABLED`
`"zookeeper.forward_learner_requests_to_commit_processor_disabled"`
org.apache.zookeeper.server.quorum.QuorumCnxManager
Modifier and Type
Constant Field
Value
`public static final int`
`maxBuffer`
`2048`
`public static final long`
`PROTOCOL_VERSION_V1`
`-65536L`
`public static final long`
`PROTOCOL_VERSION_V2`
`-65535L`
org.apache.zookeeper.server.quorum.QuorumPeer
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPTED_EPOCH_FILENAME`
`"acceptedEpoch"`
`public static final String`
`CONFIG_DEFAULT_KERBEROS_CANONICALIZE_HOST_NAMES`
`"false"`
`public static final String`
`CONFIG_DEFAULT_MULTI_ADDRESS_ENABLED`
`"false"`
`public static final String`
`CONFIG_KEY_KERBEROS_CANONICALIZE_HOST_NAMES`
`"zookeeper.kerberos.canonicalizeHostNames"`
`public static final String`
`CONFIG_KEY_MULTI_ADDRESS_ENABLED`
`"zookeeper.multiAddress.enabled"`
`public static final String`
`CONFIG_KEY_MULTI_ADDRESS_REACHABILITY_CHECK_ENABLED`
`"zookeeper.multiAddress.reachabilityCheckEnabled"`
`public static final String`
`CONFIG_KEY_MULTI_ADDRESS_REACHABILITY_CHECK_TIMEOUT_MS`
`"zookeeper.multiAddress.reachabilityCheckTimeoutMs"`
`public static final String`
`CURRENT_EPOCH_FILENAME`
`"currentEpoch"`
`public static final String`
`FLE_TIME_UNIT`
`"MS"`
`public static final String`
`QUORUM_CNXN_TIMEOUT_MS`
`"zookeeper.quorumCnxnTimeoutMs"`
`public static final String`
`SYNC_ENABLED`
`"zookeeper.observer.syncEnabled"`
org.apache.zookeeper.server.quorum.QuorumPeerConfig
Modifier and Type
Constant Field
Value
`public static final String`
`nextDynamicConfigFileSuffix`
`".dynamic.next"`
org.apache.zookeeper.server.quorum.QuorumStats.Provider
Modifier and Type
Constant Field
Value
`public static final String`
`FOLLOWING_STATE`
`"following"`
`public static final String`
`LEADING_STATE`
`"leading"`
`public static final String`
`LOOKING_STATE`
`"leaderelection"`
`public static final String`
`OBSERVING_STATE`
`"observing"`
`public static final String`
`UNKNOWN_STATE`
`"unknown"`

org.apache.zookeeper.server.quorum.auth.QuorumAuth
Modifier and Type
Constant Field
Value
`public static final long`
`QUORUM_AUTH_MAGIC_NUMBER`
`6855662812065295820L`
`public static final String`
`QUORUM_KERBEROS_SERVICE_PRINCIPAL`
`"quorum.auth.kerberos.servicePrincipal"`
`public static final String`
`QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE`
`"zkquorum/localhost"`
`public static final String`
`QUORUM_LEARNER_SASL_AUTH_REQUIRED`
`"quorum.auth.learnerRequireSasl"`
`public static final String`
`QUORUM_LEARNER_SASL_LOGIN_CONTEXT`
`"quorum.auth.learner.saslLoginContext"`
`public static final String`
`QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`
`"QuorumLearner"`
`public static final String`
`QUORUM_SASL_AUTH_ENABLED`
`"quorum.auth.enableSasl"`
`public static final String`
`QUORUM_SERVER_SASL_AUTH_REQUIRED`
`"quorum.auth.serverRequireSasl"`
`public static final String`
`QUORUM_SERVER_SASL_LOGIN_CONTEXT`
`"quorum.auth.server.saslLoginContext"`
`public static final String`
`QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`
`"QuorumServer"`

org.apache.zookeeper.server.util.JvmPauseMonitor
Modifier and Type
Constant Field
Value
`public static final long`
`INFO_THRESHOLD_DEFAULT`
`1000L`
`public static final String`
`INFO_THRESHOLD_KEY`
`"jvm.pause.info-threshold.ms"`
`public static final String`
`JVM_PAUSE_MONITOR_FEATURE_SWITCH_KEY`
`"jvm.pause.monitor"`
`public static final long`
`SLEEP_TIME_MS_DEFAULT`
`500L`
`public static final String`
`SLEEP_TIME_MS_KEY`
`"jvm.pause.sleep.time.ms"`
`public static final long`
`WARN_THRESHOLD_DEFAULT`
`10000L`
`public static final String`
`WARN_THRESHOLD_KEY`
`"jvm.pause.warn-threshold.ms"`
org.apache.zookeeper.server.util.MessageTracker
Modifier and Type
Constant Field
Value
`public static final String`
`MESSAGE_TRACKER_BUFFER_SIZE`
`"zookeeper.messageTracker.BufferSize"`
`public static final String`
`MESSAGE_TRACKER_ENABLED`
`"zookeeper.messageTracker.Enabled"`
org.apache.zookeeper.server.util.QuotaMetricsUtils
Modifier and Type
Constant Field
Value
`public static final String`
`QUOTA_BYTES_LIMIT_PER_NAMESPACE`
`"quota_bytes_limit_per_namespace"`
`public static final String`
`QUOTA_BYTES_USAGE_PER_NAMESPACE`
`"quota_bytes_usage_per_namespace"`
`public static final String`
`QUOTA_COUNT_LIMIT_PER_NAMESPACE`
`"quota_count_limit_per_namespace"`
`public static final String`
`QUOTA_COUNT_USAGE_PER_NAMESPACE`
`"quota_count_usage_per_namespace"`
`public static final String`
`QUOTA_EXCEEDED_ERROR_PER_NAMESPACE`
`"quota_exceeded_error_per_namespace"`
org.apache.zookeeper.server.util.RequestPathMetricsCollector
Modifier and Type
Constant Field
Value
`public static final String`
`PATH_STATS_COLLECTOR_DELAY`
`"zookeeper.pathStats.delay"`
`public static final String`
`PATH_STATS_COLLECTOR_INITIAL_DELAY`
`"zookeeper.pathStats.initialDelay"`
`public static final String`
`PATH_STATS_ENABLED`
`"zookeeper.pathStats.enabled"`
`public static final String`
`PATH_STATS_MAX_DEPTH`
`"zookeeper.pathStats.maxDepth"`
`public static final String`
`PATH_STATS_SAMPLE_RATE`
`"zookeeper.pathStats.sampleRate"`
`public static final String`
`PATH_STATS_SLOT_CAPACITY`
`"zookeeper.pathStats.slotCapacity"`
`public static final String`
`PATH_STATS_SLOT_DURATION`
`"zookeeper.pathStats.slotDuration"`
`public static final String`
`PATH_STATS_TOP_PATH_MAX`
`"zookeeper.pathStats.topPathMax"`

org.apache.zookeeper.server.watch.WatchesSummary
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_NUM_CONNECTIONS`
`"num_connections"`
`public static final String`
`KEY_NUM_PATHS`
`"num_paths"`
`public static final String`
`KEY_NUM_TOTAL_WATCHES`
`"num_total_watches"`
org.apache.zookeeper.server.watch.WatchManagerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ZOOKEEPER_WATCH_MANAGER_NAME`
`"zookeeper.watchManagerName"`

org.apache.zookeeper.util.SecurityUtils
Modifier and Type
Constant Field
Value
`public static final String`
`QUORUM_HOSTNAME_PATTERN`
`"_HOST"`

org.apache.zookeeper.version.Info
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD_DATE`
`"2026-03-21 12:40 UTC"`
`public static final int`
`MAJOR`
`3`
`public static final int`
`MICRO`
`5`
`public static final int`
`MINOR`
`9`
`public static final int`
`REVISION`
`-1`
`public static final String`
`REVISION_HASH`
`"${mvngit.commit.id}"`